Ruby 2.7.0p0(2019-12-25revision647ee6f091eafcce70ffb75ddf7e121e192ab217)

Data Fields
vm_ifunc Struct Reference

IFUNC (Internal FUNCtion) More...

`#include <internal.h>`

## Data Fields
VALUE | flags
VALUE | reserved
rb_block_call_func_t | func
const void * | data
struct vm_ifunc_argc | argc

## Detailed Description

IFUNC (Internal FUNCtion)

Definition at line 1215 of file internal.h.

## Field Documentation

## ◆ argc

struct vm_ifunc_argc vm_ifunc::argc

Definition at line 1220 of file internal.h.

Referenced by rb_vm_ifunc_new().

## ◆ data

const void * vm_ifunc::data

Definition at line 1219 of file internal.h.

## ◆ flags

VALUE vm_ifunc::flags

Definition at line 1216 of file internal.h.

## ◆ func

rb_block_call_func_t vm_ifunc::func

Definition at line 1218 of file internal.h.

Referenced by rb_func_lambda_new().

## ◆ reserved

VALUE vm_ifunc::reserved

Definition at line 1217 of file internal.h.

The documentation for this struct was generated from the following files:

- internal.h
- /msysdev/ruby/src/build-x86_64-pc-msys/include/ruby-2.7.0/x86_64-msys/rb_mjit_min_header-2.7.0.h